@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap");

:root {
  --primary: #1673d6;
  --second: #3e9bfe;
  --grey-500: #68787d;
  --grey-400: #a1adb3;
  --grey-300: #d8d8d8;
  --grey-200: #e2e6ea;
  --grey-100: #f2f3f5;
  --grey-50: #f5f6f7;
  --white: #fff;
  --black: #000;
  --border-color: #e3e1e1;
  --black-90: #222;
  --black-80: #333;
  --black-75: #3b3b3b;
  --black-70: #4c4c4c;
  --black-60: #666;
  --black-50: #808080;
  --black-40: #999;
  --black-30: #b9b9b9;
  --black-20: #cdcdcd;
  --black-10: #e5e5e5;
  --black-5: #f7f7f7;
  --red: #ff2d2d;
  --green: #00a066;
  --green-light: #00b674;
  --deep-cold: #f0f3f5;
}

#root,
.app {
  width: 100%;
  height: 100%;
}

* {
  box-sizing: border-box;
}

body,
html {
  width: 100%;
  height: 100%;
  background-color: var(--deep-cold);
}

body {
  font-size: 16px;
  display: flex;
  flex-direction: column;
  color: var(--text-color);
  padding: 0;
  margin: 0;
  font-family: "Roboto", "Helvetica", sans-serif;
}

ul,
nav,
p {
  padding: 0;
  margin: 0;
}
li {
  list-style: none;
}

a {
  text-decoration: none;
  &:hover {
    text-decoration: none;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  color: var(--dark);
}

button {
  background-color: transparent;
  border: none;
  font-size: 1rem;
}

#root {
  display: flex;
  height: 100%;
  white-space: pre-line;
}

.wrapper {
  display: flex;
  flex-direction: column;
}

.wrapper,
.content {
  flex-grow: 1;
  position: relative;
}

article {
  position: relative;
  height: 100%;
  padding: 2rem 0;
}

.hide {
  position: absolute;
  left: -9999px;
  top: -9999px;
}

.d-none {
  display: none;
}
